RCSCLEAN(1)

NAME
rcsclean - clean up working files

SYNOPSIS
rcsclean [-TV] [-kmode] [-n[rev]] [-q[rev]] [-r[rev]] [-u[rev]] [-xsuffixes] [-ztz] [file ...]

DESCRIPTION
The rcsclean program is used to clean up (remove) files that are not being worked on. Only checked out files from the current working directory are removed – rcsclean does not remove files from the RCS repository.

If no file operand is specified, rcsclean cleans up all working files in the current directory.

rcsclean also supports keyword substitution – see the rcs(1) man page for more information.

The following options are supported:

-kmode
    Specify the keyword substitution mode.

-n[rev]
    Dry-run mode. When this option is specified, rcsclean will show you what it would normally do without doing it.

-q[rev]
    Be quiet about reporting.

-r[rev]
    Remove revision rev. If rev does not match the revision of the currently checked out file, rcsclean will do nothing.

-T  Preserve the modification time of RCS files.

-u[rev]
    Unlock the revision if it's currently locked. This is only possible if no changes have been made to the file since it was checked out.

-V  Print RCS's version number.

-xsuffixes
    Specify the suffixes for RCS files. Suffixes should be separated by the ‘/’ character.

-ztz
    Specify the time zone for keyword substitution.

ENVIRONMENT

RCSINIT
    If set, this variable should contain a list of space-delimited options that are prepended to the argument list.

EXIT STATUS

EXAMPLES
Remove all working files (locked or not) in the current directory that were not changed since last checkout:

    $ rcsclean -u

SEE ALSO
ci(1), co(1), ident(1), rcs(1), rcsdiff(1), rcsmerge(1), rlog(1)